﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="F45833.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=4.202.0.37, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=4.202.0.37, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=4.202.0.37, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Styles" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=4.202.0.37, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc3" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=4.202.0.37, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Grouping" TagPrefix="cc4" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Essential Grid Forum Sample</title>
</head>
<body bgcolor="#edf0f6">
    <form id="form1" runat="server">
    <b>Essential Grid Forum Sample</b>
        <hr/>
        Specifications:<br />
        <br />
        a) The grid is binded to the&nbsp; products table in the Nwind DataBase<br />
        <br />
        b) An Unbound column total&nbsp; is added dynamically and we fill this column calculating
        the 'total price' for the 'existing stocks' by handling the ''QueryValue'' event.<br />
        <br />
        c) You can show/hide the 'SupplierID' column by clicking the button placed below
        the grid.<br />
        <br />
        d) The Hyperlink is added as a Item template for the ProductID column. By clicking
        &nbsp;the hyperlink column it goes to the appropriate ' Grid forums' page
        <hr />
        <br />
    
    <div>
        <sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" AfterCallbackResponseProcessedScript=""
            AfterCallbackScript="" BeforeCallbackResponseProcessingScript="" BeforeCallbackScript=""
            DataSourceID="AccessDataSource1">
            <TableDescriptor>
                <VisibleColumns>
                    <sfwg:GridVisibleColumnDescriptor Name="ProductID" />
                    <sfwg:GridVisibleColumnDescriptor Name="ProductName" />
                    <sfwg:GridVisibleColumnDescriptor Name="SupplierID" />
                    <sfwg:GridVisibleColumnDescriptor Name="UnitPrice" />
                    <sfwg:GridVisibleColumnDescriptor Name="QuantityPerUnit" />
                    <sfwg:GridVisibleColumnDescriptor Name="UnitsInStock" />
                    <sfwg:GridVisibleColumnDescriptor Name="UnitsOnOrder" />
                   </VisibleColumns>
                <Columns>
                    <sfwg:GridColumnDescriptor MappingName="ProductID">
                        <ItemTemplate>
                            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="<%#GetQuoteHyperLink(Container.StyleInfo.Text)%>" Target="_blank" EnableViewState="False"><%# Container.StyleInfo.Text %></asp:HyperLink>
                        </ItemTemplate>
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="ProductName">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="SupplierID">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="CategoryID">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="QuantityPerUnit">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="UnitPrice">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="UnitsInStock">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor MappingName="ReorderLevel">
                    </sfwg:GridColumnDescriptor>
                    <sfwg:GridColumnDescriptor AllowDropDownCell="False" MappingName="Discontinued">
                    </sfwg:GridColumnDescriptor>
                  </Columns>
                 <FormModeTemplate>
                <br />
                </FormModeTemplate>
            </TableDescriptor>
        </sfwg:GridGroupingControl>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" ConflictDetection="CompareAllValues"
            DataFile="C:\Data\NWIND.MDB" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = ? AND [ProductName] = ? AND [SupplierID] = ? AND [CategoryID] = ? AND [QuantityPerUnit] = ? AND [UnitPrice] = ? AND [UnitsInStock] = ? AND [UnitsOnOrder] = ? AND [ReorderLevel] = ? AND [Discontinued] = ?"
            InsertCommand="INSERT INTO [Products] ([ProductID], [ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
            OldValuesParameterFormatString="original_{0}" SelectCommand="SELECT * FROM [Products]"
            UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [SupplierID] = ?, [CategoryID] = ?, [QuantityPerUnit] = ?, [UnitPrice] = ?, [UnitsInStock] = ?, [UnitsOnOrder] = ?, [ReorderLevel] = ?, [Discontinued] = ? WHERE [ProductID] = ? AND [ProductName] = ? AND [SupplierID] = ? AND [CategoryID] = ? AND [QuantityPerUnit] = ? AND [UnitPrice] = ? AND [UnitsInStock] = ? AND [UnitsOnOrder] = ? AND [ReorderLevel] = ? AND [Discontinued] = ?">
            <DeleteParameters>
                <asp:Parameter Name="original_ProductID" Type="Int32" />
                <asp:Parameter Name="original_ProductName" Type="String" />
                <asp:Parameter Name="original_SupplierID" Type="Int32" />
                <asp:Parameter Name="original_CategoryID" Type="Int32" />
                <asp:Parameter Name="original_QuantityPerUnit" Type="String" />
                <asp:Parameter Name="original_UnitPrice" Type="Decimal" />
                <asp:Parameter Name="original_UnitsInStock" Type="Int16" />
                <asp:Parameter Name="original_UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="original_ReorderLevel" Type="Int16" />
                <asp:Parameter Name="original_Discontinued" Type="Boolean" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="SupplierID" Type="Int32" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="UnitsInStock" Type="Int16" />
                <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="ReorderLevel" Type="Int16" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
                <asp:Parameter Name="original_ProductID" Type="Int32" />
                <asp:Parameter Name="original_ProductName" Type="String" />
                <asp:Parameter Name="original_SupplierID" Type="Int32" />
                <asp:Parameter Name="original_CategoryID" Type="Int32" />
                <asp:Parameter Name="original_QuantityPerUnit" Type="String" />
                <asp:Parameter Name="original_UnitPrice" Type="Decimal" />
                <asp:Parameter Name="original_UnitsInStock" Type="Int16" />
                <asp:Parameter Name="original_UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="original_ReorderLevel" Type="Int16" />
                <asp:Parameter Name="original_Discontinued" Type="Boolean" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductID" Type="Int32" />
                <asp:Parameter Name="ProductName" Type="String" />
                <asp:Parameter Name="SupplierID" Type="Int32" />
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="QuantityPerUnit" Type="String" />
                <asp:Parameter Name="UnitPrice" Type="Decimal" />
                <asp:Parameter Name="UnitsInStock" Type="Int16" />
                <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
                <asp:Parameter Name="ReorderLevel" Type="Int16" />
                <asp:Parameter Name="Discontinued" Type="Boolean" />
            </InsertParameters>
        </asp:AccessDataSource>
        <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" />
    
    </div>
    </form>
</body>
</html>
